class ILensException(Exception):
    pass


class MongoException(ILensException):
    pass


class MongoConnectionException(MongoException):
    pass


class MongoQueryException(MongoException):
    pass


class MongoEncryptionException(MongoException):
    pass


class MongoRecordInsertionException(MongoQueryException):
    pass


class MongoFindException(MongoQueryException):
    pass


class MongoDeleteException(MongoQueryException):
    pass


class MongoUpdateException(MongoQueryException):
    pass


class MongoUnknownDatatypeException(MongoEncryptionException):
    pass


class MongoDistictQueryException(MongoException):
    pass


class MongoFindAndReplaceException(MongoException):
    pass


class MongoObjectDeserializationException(MongoException):
    pass


class DeviceManagerException(ILensException):
    pass


class DeviceNameAlreadyExistsException(DeviceManagerException):
    pass
